#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../../../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     := snd_seq_oss.a
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

SEQOSSX	     := seq_oss.c
SEQOSS1      := seq_oss_init.o seq_oss_timer.o seq_oss_ioctl.o \
                seq_oss_event.o seq_oss_rw.o seq_oss_synth.o seq_oss_midi.o \
                seq_oss_readq.o seq_oss_writeq.o midi_coder.o

ifeq ($(CONFIG_SND),y)
  LX_OBJS += $(SEQOSSX)
  L_OBJS += $(SEQOSS1)
else
  ifeq ($(CONFIG_SND),m)
    M_OBJS += snd-seq-oss.o
    MIX_OBJS += $(SEQOSSX)
  endif
endif

include $(TOPDIR)/Rules.make

snd-seq-oss.o: $(SEQOSSX) $(SEQOSS1)
	$(LD) $(LD_RFLAG) -r -o $@ $(SEQOSSX) $(SEQOSS1)
